View Issue Details

IDProjectCategoryView StatusLast Update
0001922SymmetricDSBugpublic2014-08-27 08:53
ReporterazarubkinAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.4 
Target Version3.6.6Fixed in Version3.6.6 
Summary0001922: Incorrect conversion of values of type BIT in SQL Server 2005 to SQLite
DescriptionThe structure of table which contains BIT columns is translated as follows:
2014-08-18 00:44:06,913 INFO [post] [DefaultDatabaseWriter] [post-job-5] About to create table using the following definition: <?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database">
<database name="dataextractor">
    <table name="regimes">
        <column name="regime_id" primaryKey="true" required="true" type="INTEGER" size="10" autoIncrement="true">
            <platform-column name="mssql2005" type="int identity" size="10"/>
        </column>
        <column name="regime_name" required="true" type="VARCHAR" size="50">
            <platform-column name="mssql2005" type="varchar" size="50"/>
        </column>
        <column name="is_special" required="true" type="BIT" size="1">
            <platform-column name="mssql2005" type="bit" size="1"/>
        </column>
    </table>
</database>
2014-08-18 00:44:06,913 INFO [post] [SqliteDatabasePlatform] [post-job-5] Running alter sql:
CREATE TABLE "regimes"(
    "regime_id" INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    "regime_name" VARCHAR NOT NULL,
    "is_special" INTEGER NOT NULL
);

i.e. BIT is translated to INTEGER.

But the values are translated as boolean values, which leads to error during reload:
2014-08-18 00:44:42,122 ERROR [post] [SqliteDatabasePlatform] [post-job-5] Could not convert a value of false for column is_special of type INTEGER
2014-08-18 00:44:42,122 ERROR [post] [SqliteDatabasePlatform] [post-job-5] For input string: "false"
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master ad5442ce

2014-08-20 18:55:17

chenson

Details Diff
0001922: Incorrect conversion of values of type BIT in SQL Server 2005 to SQLite
0001922
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File

SymmetricDS: master eaf28f48

2014-08-21 13:20:42

chenson

Details Diff
0001922: Incorrect conversion of values of type BIT in SQL Server 2005 to SQLite
0001922
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File

SymmetricDS: master c63e0669

2014-08-21 13:37:10

chenson

Details Diff
0001922: Incorrect conversion of values of type BIT in SQL Server 2005 to SQLite
0001922
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File

SymmetricDS: master 0af0d316

2014-08-21 15:48:01

chenson

Details Diff
0001922: Incorrect conversion of values of type BIT in SQL Server 2005 to SQLite
0001922
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File

Issue History

Date Modified Username Field Change
2014-08-17 16:49 azarubkin New Issue
2014-08-20 18:55 chenson Fixed in Version => 3.6.6
2014-08-20 18:55 chenson Target Version => 3.6.6
2014-08-20 18:55 chenson Status new => resolved
2014-08-20 18:55 chenson Resolution open => fixed
2014-08-20 18:55 chenson Assigned To => chenson
2014-08-20 19:00 chenson Changeset attached => SymmetricDS trunk r8622
2014-08-21 14:00 chenson Changeset attached => SymmetricDS trunk r8624
2014-08-21 14:00 chenson Changeset attached => SymmetricDS trunk r8625
2014-08-21 16:00 chenson Changeset attached => SymmetricDS trunk r8627
2014-08-27 08:53 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 0af0d316
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master c63e0669
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master eaf28f48
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master ad5442ce